package com.nokia.tsl_data.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MobileCompDao {

    /**
     * 统计某天入库工单数量
     * 
     * @param day
     * @return
     */
    int selectCompCountForDay(String day);

    /**
     * 超时工单统计
     * 
     * @param day
     * @return
     */
    List<Map<String, Object>> selectTimeoutTsCountForDay(String day);

    /**
     * 处理时长统计
     * 
     * @param day
     * @return
     */
    List<Map<String, Object>> selectTsDurationForDay(String day);

    /**
     * 重复工单
     * 
     * @param day
     * @return
     */
    List<Map<String, Object>> selectRepeatTsCountForDay(String day);

    /**
     * 投诉清单按日按地市计数
     * 
     * @param day
     * @return
     */
    List<Map<String, Object>> selectCityTslForMonth(String day);

    /**
     * 投诉清单全省计数
     * 
     * @param day
     * @return
     */
    List<Map<String, Object>> selectAllTslForMonth(String day);

    /**
     * 投诉清单地市总数
     * 
     * @param day
     * @return
     */
    List<Map<String, Object>> selectCityAllForMonth(String day);

    /**
     * 投诉清单按月计算总数
     * 
     * @param day
     * @return
     */
    int selectAllForMonth(String day);

    /**
     * 删除某天的管理端投诉清单
     * 
     * @param day 20230522
     */
    void deleteMobileCompForDay(String day);

    /**
     * 插入上月的平均处理时长
     * 
     * @param monthId
     */
    void insertOldTsDurationForMonth(String monthId);
}
